variables:
  SEARCH_DIR: modules/

format_tf_file_structure:
  image: docker:stable
  stage: pre_build
  needs: []
  tags:
    - docker
    - linux
  before_script:
    - "echo \"Using external YAML file: format-tf-structure.yml\""
    - apk add util-linux
  script:
    - echo "Copying tf files from $SEARCH_DIR to ROOT Directory"
    - |
      # Find all Terraform files and loop over them
      find . -type f -name "*.tf" | while read filepath; do
        # Extract directory path
        dirpath=$(dirname "$filepath")
        # Remove leading './'
        dirpath=${dirpath#./}
        # Replace '/' with '-'
        dirpath=$(echo "$dirpath" | tr '/' '-')
        # Move file to root directory with renamed path
        mv "$filepath" "${dirpath}.tf"
      done
  artifacts:
    paths:
      - "*.tf"
    expire_in: 1 week